function modelInfo = DFP_setModelInfo()

%DFP_setModelInfo
%   This file is supplied as an addition to the draft paper:
%   "Foot Placement control: Step Location and Step Time as a
%   Function of the Desired Walking Gait"
%
%   For further information, contact:
%   Tomas de Boer, tomas.deboer@tudelft.nl, or    
%   Danil Karssen,   j.g.d.karssen@tudelft.nl
%
%   Copyright 2011, Delft BioRobotics Laboratory
%   Delft University of Technology
%   $Revision: 1.0 $  $Date: August 2011 $


modelInfo.dTmin         = 1;        % Time in between steps (dimensionless)
modelInfo.lMax          = 1;        % Maximum length in between foot locations (dimensionless)
modelInfo.lim.dTstep    = 1.5; 
modelInfo.lim.lx        = 0.75;
modelInfo.lim.ly        = 0.3;
modelInfo.lim.yaw       = 0;
modelInfo.lim.dTstepLCP = NaN;

end