function plotData = DFP_setPlotData(handles)

%DFP_setPlotData
%   This file is supplied as an addition to the draft paper:
%   "Foot Placement control: Step Location and Step Time as a
%   Function of the Desired Walking Gait"
%
%   For further information, contact:
%   Tomas de Boer, tomas.deboer@tudelft.nl, or    
%   Danil Karssen,   j.g.d.karssen@tudelft.nl
%
%   Copyright 2011, Delft BioRobotics Laboratory
%   Delft University of Technology
%   $Revision: 1.0 $  $Date: August 2011 $


plotData.CoMTrajectory            = [];
plotData.footPositions            = handles.modelState.rAnkle;
plotData.showStep                 = false;
plotData.panning                  = false;
plotData.ConstantStepping                 = false;
plotData.DFPControl                 = false;
plotData.nShowStep                = [];
plotData.realStep                 = [];
plotData.nPan                     = [];
plotData.maxStepX                 = []; % Max step length circle x
plotData.maxStepY                 = []; % Max step length circle y
plotData.rCPAtMinStep             = []; % Instantaneous CP at min step time
plotData.rConstant             = []; 
plotData.rLCP             = []; 
plotData.CPLineEnd                = []; % End of the line through the foot and the instcp
plotData.panLocations             = []; % Array with Qspline from current to next foot location, for panning
plotData.rAnkleNext               = []; % Next ankle location: will step to it once the minimum step time has passed
plotData.rAnkleDesX = [];
plotData.rAnkleDesY = [];
plotData.x                        = []; 
plotData.dx                       = []; 
plotData.y                        = []; 
plotData.dy                       = []; 

[xlim, ylim, dxlim, dylim] = DFP_calculateLimitCycle(handles.modelInfo);

handles.plotData.LCPstrategyNr = [];
plotData.xlim                        = xlim; 
plotData.dxlim                       = dxlim; 
plotData.ylim                        = ylim; 
plotData.dylim                       = dylim; 
plotData.captureRegions = [];
plotData.showPush = false;
plotData.locationPush = [];

end